{% extends 'base.html' %}

{% block content %}

<h1> My Tasks </h1>

<form hx-post="{% url 'add_task' %}" hx-target="#task-list">

    {% csrf_token %}
    <input type="text" name="taskdescription" placeholder="enter a description">
    <button type="submit" class="btn btn-success btn-sm"> Add a Task </button>

</form>

<div id="task-list" class="d-flex justify-content-between">
    {% include 'task/task-list.html' %}
</div>


{% endblock content %}